## odoo 18.0.0+dfsg

=== debian/changelog ===
odoo (18.0.0+dfsg-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Suggest wkhtmltopdf instead of Depend'ing on it (Closes: #1093566)

 -- Sebastien Delafond <seb@debian.org>  Mon, 20 Jan 2025 15:14:34 +0100

odoo (18.0.0+dfsg-1.1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * No-change source-only upload for migration

 -- Sebastien Delafond <seb@debian.org>  Fri, 15 Nov 2024 07:25:08 +0100

odoo (18.0.0+dfsg-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Rediff patches
  * Adjust copyright and lintian overrides

 -- Sebastien Delafond <seb@debian.org>  Thu, 07 Nov 2024 11:18:47 +0100

odoo (17.0.0+dfsg3-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Latest origin/17.0 release (Closes: #1084606)

 -- Sebastien Delafond <seb@debian.org>  Thu, 24 Oct 2024 08:16:51 +0200

odoo (17.0.0+dfsg2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Latest origin/17.0 release (Closes: #1083225)
  * README.Debian: describe `addons_path` (Closes: #1064843)
  * d/control: bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 23 Oct 2024 15:21:58 +0200

odoo (17.0.0+dfsg-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Rediff patches
  * Adjust copyright and overrides
  * Remove selfie_segmentation.js
  * d/control: bump up Standards-Version
  * Use fonts-montserrat
  * lintian: no privacy breach from digest_data.xml
  * lintian: multiple fixes
  * lintian: font-outside-font-dir & font-in-non-font-package
  * lintian: static document-like assets
  * lintian: more document-like assets, plus permissions
  * d/rules: cleanup
  * d/missing-sources: remove obsolete reference
  * d/control: python3-lxml-html-clean is mandatory

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Sep 2024 16:14:25 +0200

=== debian/control ===
Source: odoo
Section: net
Priority: optional
Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3, rsync, python3-setuptools
Standards-Version: 4.7.0
Homepage: http://www.odoo.com/
Vcs-Git: https://salsa.debian.org/freexian-team/packages/odoo.git
Vcs-Browser: https://salsa.debian.org/freexian-team/packages/odoo

Package: odoo-18
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
# support for multilingual fonts
 fonts-dejavu-core | fonts-freefont-ttf | fonts-freefont-otf | fonts-noto-core,
 fonts-glyphicons-halflings,
 fonts-inconsolata,
 fonts-font-awesome,
 fonts-montserrat,
 fonts-ocr-b,
 fonts-roboto-unhinted,
 gsfonts,
 libjs-jquery,
 libjs-jquery-form,
 libjs-underscore,
 postgresql-client,
 python3-asn1crypto,
 python3-babel,
 python3-cbor2,
 python3-chardet,
 python3-dateutil,
 python3-decorator,
 python3-docutils,
 python3-freezegun,
 python3-geoip2,
 python3-pil,
 python3-jinja2,
 python3-libsass,
 python3-lxml-html-clean,
 python3-num2words,
 python3-ofxparse,
 python3-openpyxl,
 python3-passlib,
 python3-polib,
 python3-psutil,
 python3-psycopg2,
 python3-openssl,
 python3-pypdf,
 python3-rjsmin,
 python3-qrcode,
 python3-reportlab (>= 4.0.4-1~),
 python3-requests,
 python3-stdnum,
 python3-tz,
 python3-vobject,
 python3-werkzeug,
 python3-xlsxwriter,
 python3-xlrd,
 python3-zeep,
Pre-Depends: ${misc:Pre-Depends}
Suggests: wkhtmltopdf
Conflicts: odoo, odoo-17, odoo-16, odoo-14, tinyerp-server, openerp-server, openerp-web, openerp
Replaces: odoo, tinyerp-server, openerp-server, openerp-web, openerp
Provides: odoo
Recommends:
 ${python3:Recommends},
 postgresql,
 python3-ldap,
Description: Open Source Apps To Grow Your Business
 Odoo, formerly known as OpenERP, is a suite of open-source business apps
 written in Python and released under the LGPLv3 license. This suite of
 applications covers all business needs, from Website/Ecommerce down to
 manufacturing, inventory and accounting, all seamlessly integrated. Odoo's
 technical features include a distributed server, flexible workflows, an object
 database, a dynamic GUI, customizable reports, and an XML-RPC interface. Odoo
 is the most installed business software in the world. It is used by 2.000.000
 users worldwide ranging from very small companies (1 user) to very large ones
 (300 000 users).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=odoo-bin
export PYBUILD_DISABLE=test

ODOO_VERSION = 18
ODOO_DIR = debian/odoo-$(ODOO_VERSION)

%:
	dh ${@} --with=python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	cp -r addons/* odoo/addons/

execute_after_dh_auto_install:
	# remove extra licenses
	find $(ODOO_DIR) -name LICENSE.md -exec rm "{}" \;
	find $(ODOO_DIR) -name LICENSE.txt -exec rm "{}" \;
	find $(ODOO_DIR) -name LICENSE -exec rm "{}" \;
	# remove extra .gitignore
	find $(ODOO_DIR) -name .gitignore -exec rm "{}" \;
	# fix lintian warning about executable bit
	find $(ODOO_DIR) -name "*.csv" -exec chmod 644 "{}" \;
	find $(ODOO_DIR) -name "*.pot" -exec chmod 644 "{}" \;
	find $(ODOO_DIR) -name "*.txt" -exec chmod 644 "{}" \;
	find $(ODOO_DIR) -name "*.svg" -exec chmod 644 "{}" \;
	find $(ODOO_DIR) -name "*.xml" -exec chmod 644 "{}" \;
	find $(ODOO_DIR) -name "*.sh" -exec chmod 755 "{}" \;

override_dh_installsystemd:
	dh_installsystemd --name odoo

override_dh_installinit:
	dh_installinit --name odoo

execute_after_dh_auto_clean:
	for d in addons/* ; do rm -fr odoo/$$d ; done

## odoo configurator-3.6.2

=== requirements.txt ===
beautifulsoup4==4.12.2
hiyapyco==0.5.1
pykeepass==4.0.5
cryptocode==0.1
s6r_bitwarden_cli==1.0.7
s6r-odoo>=1.0.8
psycopg==3.2.2
pymssql==2.3.1

## odoo configurator-3.6.7

=== requirements.txt ===
beautifulsoup4==4.12.2
hiyapyco==0.5.1
pykeepass==4.0.5
cryptocode==0.1
s6r_bitwarden_cli==1.0.7
s6r-odoo>=2.0.2
psycopg==3.2.2
pymssql==2.3.1
requests==2.32.3
unidecode==1.3.8
pyodbc
mysql-connector-python

## odoo py-0.0.16

=== requirements.txt ===
environs>=9.5.0

## odoo toolkit-1.1.0

=== odoo_toolkit/multiverse_config/requirements.txt ===
# Useful and optional Python dependencies
aiosmtpd
astroid
cn2an
dbfread
debugpy
fonttools
google-auth
jingtrang
markdown
markdown2
maxminddb
paramiko
pdfminer.six
phonenumbers
pydevd-odoo
pyjwt
pylint
python-slugify
suds
watchdog
websocket-client
xmlsec
